%define pkg_name        DBD-Pg
%define pkg_version     1.49
%define rpm_pkg_version 1.49
%define rpm_pkg_release 7.n0i.24

Summary:       PostgreSQL driver for DBI
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/

Source0:       http://www.cpan.org/authors/id/D/DB/DBDPG/%{pkg_name}-%{pkg_version}.tar.gz
Patch0:        http://rt.cpan.org/Ticket/Attachment/242104/102843/quote.c.memory_leak_dequote_bytea
Patch1:        http://rt.cpan.org/Ticket/Attachment/368111/167000/dbd_pg_savepoint_memory_leak_fix.diff

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: postgresql-devel >= 7.2
BuildRequires: perl-DBI-devel   >= 1.38
Requires:      perl(DBI)        >= 1.38
BuildRequires: perl(ExtUtils::MakeMaker)
%{?_with_test:BuildRequires: perl(Test::More)}
%global perl_filter_req 'perl\\(DBI\\)$'


%description
An implementation of DBI for PostgreSQL for Perl.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%patch0 -p0
%patch1 -p1
%{__mv} t/00-signature.t t/00-signature.t.disabled


%build
%{perl_build}
# needs database access
%if %{?_with_test:1}0
[ -n "$DBI_DSN"  ] || export DBI_DSN='dbi:Pg:dbname=test'
[ -n "$DBI_USER" ] || export DBI_USER='test'
[ -n "$DBI_PASS" ] || export DBI_PASS=''
%{__make} test
%endif


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README README.dev TODO
%{perl_files}


%changelog
* Mon Oct 22 2007 Marius FERARU <altblue@n0i.net> - 1.49-7.n0i.24
- applied patch for bug #21392: Memory leak when fetching binary columns
- applied patch for bug #29791: Memory leak with savepoints (lack of mortalization)

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.49-2.n0i.23
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Tue May 09 2006 Marius Feraru <altblue@n0i.net> - 1.49-1.n0i.22
- version 1.49

* Fri Apr 07 2006 Marius Feraru <altblue@n0i.net> - 1.48-1.n0i.21
- version 1.48

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 1.47-1.n0i.20
- version 1.47

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 1.45-1.n0i.19
- version 1.45

* Thu Nov 10 2005 Marius FERARU <altblue@n0i.net> 1.43-15.n0i.18
- rebuild
